PUT
/workspaces/{workspaceId}/alertmanager/definition
http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/alertmanager/definitionUpdate an alert manager definition.
Access Token Required: API Key
Path Parameters
workspaceIdstringrequired
The ID of the workspace in which to update the alert manager definition.
Body Params
datastringrequired
The alert manager definition data.
clientTokenstring
An identifier used to ensure the idempotency of a write request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/alertmanager/definition' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}